Skip to content

Plan JSON import.

POST
/api/workspace/entity/{entityIdOrKey}/data-transfer/import/json/plan
curl --request POST \
--url https://example.com/api/workspace/entity/example/data-transfer/import/json/plan \
--header 'Content-Type: multipart/form-data' \
--form ProfileId=example \
--form File=@file

Generates a non-destructive import plan for an uploaded JSON entity export package.

  • None
entityIdOrKey
required
string

Entity definition identifier or normalized entity key.

access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Media typemultipart/form-data
object
ProfileId

Data transfer profile identifier.

string
File

Uploaded JSON export package.

string format: binary

OK

Media typeapplication/json
object
Data

Non-destructive JSON import plan for entity instances.

object
FormatVersion

JSON data transfer format version.

integer format: int32
GeneratedAtUtc

UTC timestamp when the plan was generated.

string format: date-time
Entity

Entity definition metadata included in a JSON export document.

object
Id

Entity definition identifier.

string
nullable
Key

Internal entity key.

string
nullable
DisplayNameSingular

User-facing singular display name.

string
nullable
DisplayNamePlural

User-facing plural display name.

string
nullable
Profile

Import profile metadata used to generate a JSON import plan.

object
Id

Profile identifier.

string
nullable
Key

Stable profile key.

string
nullable
Name

User-facing profile name.

string
nullable
ImportMode
integer format: int32
Allowed values: 0 1 2
IdentityMode
integer format: int32
Allowed values: 0 1 2
Summary

Aggregate counts for a JSON import plan.

object
TotalRows

Total uploaded record count.

integer format: int32
ValidRows

Rows that can move forward to apply in a later sprint.

integer format: int32
ErrorRows

Rows with blocking errors.

integer format: int32
WarningRows

Rows with non-blocking warnings.

integer format: int32
CreateRows

Rows classified as creates.

integer format: int32
UpdateRows

Rows classified as updates.

integer format: int32
SkipRows

Rows classified as skipped.

integer format: int32
IssueCategories

Warning and error counts grouped into stable workflow categories.

Array<object>
nullable

Aggregate import issue count grouped by stable UI category and severity.

object
Category
integer format: int32
Allowed values: 0 1 2 3 4 5
Severity
integer format: int32
Allowed values: 0 1 2
Count

Number of row issues in this category and severity.

integer format: int32
Rows

Per-record plan rows.

Array<object>
nullable

One planned JSON import row.

object
RowIndex

One-based row index in the uploaded JSON records array.

integer format: int32
IdentityValue

Resolved identity value used for matching.

nullable
TargetInstanceId

Matched runtime entity instance id when the row updates an existing record.

string
nullable
Action
integer format: int32
Allowed values: 0 1 2 3
Status
integer format: int32
Allowed values: 0 1 2
Errors

Blocking row or field errors.

Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings

Non-blocking row or field warnings.

Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Profile": {
"ImportMode": 0,
"IdentityMode": 0
},
"IssueCategories": [
{
"Category": 0,
"Severity": 0
}
],
"Rows": [
{
"Action": 0,
"Status": 0,
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Non-destructive JSON import plan for entity instances.

object
FormatVersion

JSON data transfer format version.

integer format: int32
GeneratedAtUtc

UTC timestamp when the plan was generated.

string format: date-time
Entity

Entity definition metadata included in a JSON export document.

object
Id

Entity definition identifier.

string
nullable
Key

Internal entity key.

string
nullable
DisplayNameSingular

User-facing singular display name.

string
nullable
DisplayNamePlural

User-facing plural display name.

string
nullable
Profile

Import profile metadata used to generate a JSON import plan.

object
Id

Profile identifier.

string
nullable
Key

Stable profile key.

string
nullable
Name

User-facing profile name.

string
nullable
ImportMode
integer format: int32
Allowed values: 0 1 2
IdentityMode
integer format: int32
Allowed values: 0 1 2
Summary

Aggregate counts for a JSON import plan.

object
TotalRows

Total uploaded record count.

integer format: int32
ValidRows

Rows that can move forward to apply in a later sprint.

integer format: int32
ErrorRows

Rows with blocking errors.

integer format: int32
WarningRows

Rows with non-blocking warnings.

integer format: int32
CreateRows

Rows classified as creates.

integer format: int32
UpdateRows

Rows classified as updates.

integer format: int32
SkipRows

Rows classified as skipped.

integer format: int32
IssueCategories

Warning and error counts grouped into stable workflow categories.

Array<object>
nullable

Aggregate import issue count grouped by stable UI category and severity.

object
Category
integer format: int32
Allowed values: 0 1 2 3 4 5
Severity
integer format: int32
Allowed values: 0 1 2
Count

Number of row issues in this category and severity.

integer format: int32
Rows

Per-record plan rows.

Array<object>
nullable

One planned JSON import row.

object
RowIndex

One-based row index in the uploaded JSON records array.

integer format: int32
IdentityValue

Resolved identity value used for matching.

nullable
TargetInstanceId

Matched runtime entity instance id when the row updates an existing record.

string
nullable
Action
integer format: int32
Allowed values: 0 1 2 3
Status
integer format: int32
Allowed values: 0 1 2
Errors

Blocking row or field errors.

Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings

Non-blocking row or field warnings.

Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Profile": {
"ImportMode": 0,
"IdentityMode": 0
},
"IssueCategories": [
{
"Category": 0,
"Severity": 0
}
],
"Rows": [
{
"Action": 0,
"Status": 0,
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Non-destructive JSON import plan for entity instances.

object
FormatVersion

JSON data transfer format version.

integer format: int32
GeneratedAtUtc

UTC timestamp when the plan was generated.

string format: date-time
Entity

Entity definition metadata included in a JSON export document.

object
Id

Entity definition identifier.

string
nullable
Key

Internal entity key.

string
nullable
DisplayNameSingular

User-facing singular display name.

string
nullable
DisplayNamePlural

User-facing plural display name.

string
nullable
Profile

Import profile metadata used to generate a JSON import plan.

object
Id

Profile identifier.

string
nullable
Key

Stable profile key.

string
nullable
Name

User-facing profile name.

string
nullable
ImportMode
integer format: int32
Allowed values: 0 1 2
IdentityMode
integer format: int32
Allowed values: 0 1 2
Summary

Aggregate counts for a JSON import plan.

object
TotalRows

Total uploaded record count.

integer format: int32
ValidRows

Rows that can move forward to apply in a later sprint.

integer format: int32
ErrorRows

Rows with blocking errors.

integer format: int32
WarningRows

Rows with non-blocking warnings.

integer format: int32
CreateRows

Rows classified as creates.

integer format: int32
UpdateRows

Rows classified as updates.

integer format: int32
SkipRows

Rows classified as skipped.

integer format: int32
IssueCategories

Warning and error counts grouped into stable workflow categories.

Array<object>
nullable

Aggregate import issue count grouped by stable UI category and severity.

object
Category
integer format: int32
Allowed values: 0 1 2 3 4 5
Severity
integer format: int32
Allowed values: 0 1 2
Count

Number of row issues in this category and severity.

integer format: int32
Rows

Per-record plan rows.

Array<object>
nullable

One planned JSON import row.

object
RowIndex

One-based row index in the uploaded JSON records array.

integer format: int32
IdentityValue

Resolved identity value used for matching.

nullable
TargetInstanceId

Matched runtime entity instance id when the row updates an existing record.

string
nullable
Action
integer format: int32
Allowed values: 0 1 2 3
Status
integer format: int32
Allowed values: 0 1 2
Errors

Blocking row or field errors.

Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings

Non-blocking row or field warnings.

Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Profile": {
"ImportMode": 0,
"IdentityMode": 0
},
"IssueCategories": [
{
"Category": 0,
"Severity": 0
}
],
"Rows": [
{
"Action": 0,
"Status": 0,
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Conflict

Media typeapplication/json
object
Data

Non-destructive JSON import plan for entity instances.

object
FormatVersion

JSON data transfer format version.

integer format: int32
GeneratedAtUtc

UTC timestamp when the plan was generated.

string format: date-time
Entity

Entity definition metadata included in a JSON export document.

object
Id

Entity definition identifier.

string
nullable
Key

Internal entity key.

string
nullable
DisplayNameSingular

User-facing singular display name.

string
nullable
DisplayNamePlural

User-facing plural display name.

string
nullable
Profile

Import profile metadata used to generate a JSON import plan.

object
Id

Profile identifier.

string
nullable
Key

Stable profile key.

string
nullable
Name

User-facing profile name.

string
nullable
ImportMode
integer format: int32
Allowed values: 0 1 2
IdentityMode
integer format: int32
Allowed values: 0 1 2
Summary

Aggregate counts for a JSON import plan.

object
TotalRows

Total uploaded record count.

integer format: int32
ValidRows

Rows that can move forward to apply in a later sprint.

integer format: int32
ErrorRows

Rows with blocking errors.

integer format: int32
WarningRows

Rows with non-blocking warnings.

integer format: int32
CreateRows

Rows classified as creates.

integer format: int32
UpdateRows

Rows classified as updates.

integer format: int32
SkipRows

Rows classified as skipped.

integer format: int32
IssueCategories

Warning and error counts grouped into stable workflow categories.

Array<object>
nullable

Aggregate import issue count grouped by stable UI category and severity.

object
Category
integer format: int32
Allowed values: 0 1 2 3 4 5
Severity
integer format: int32
Allowed values: 0 1 2
Count

Number of row issues in this category and severity.

integer format: int32
Rows

Per-record plan rows.

Array<object>
nullable

One planned JSON import row.

object
RowIndex

One-based row index in the uploaded JSON records array.

integer format: int32
IdentityValue

Resolved identity value used for matching.

nullable
TargetInstanceId

Matched runtime entity instance id when the row updates an existing record.

string
nullable
Action
integer format: int32
Allowed values: 0 1 2 3
Status
integer format: int32
Allowed values: 0 1 2
Errors

Blocking row or field errors.

Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings

Non-blocking row or field warnings.

Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Profile": {
"ImportMode": 0,
"IdentityMode": 0
},
"IssueCategories": [
{
"Category": 0,
"Severity": 0
}
],
"Rows": [
{
"Action": 0,
"Status": 0,
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}